Page 1 of 1

PHP MySQL version discrepancy

Posted: 2009/02/04 19:18:42
by billuk
Hi,

I have installed PHP, and MySQL (v.5.0.28) using
yum install php
yum install mysql
yum install php-mysql
etc.

When I use phpMyAdmin I get this warning:

Your PHP MySQL library version 4.1.22 differs from your MySQL server version 5.0.28

In phpinfo(), the Client API version is listed as 4.1.22.

So, how can I get around this, I assumed (incorrectly) that the appropriate version would be installed. The version of php-mysql is listed as 5.2.8

Please help!!

Thanks in advance :)

Re: PHP MySQL version discrepancy

Posted: 2009/02/04 20:23:19
by gerald_clark
CentOS does not come with MySQL Version 5.
Where did you get it?
Maybe you should get your PHP there as well,
or stick with the Mysql 4.1.22 that ships with CentOS 4.

Please read these:
http://www.centos.org/modules/newbb/viewforum.php?forum=48

What repositories have you enabled?

Re: PHP MySQL version discrepancy

Posted: 2009/03/17 04:37:56
by robvsr
enable the remi repo

it has mysql5 client & server. (don't forget to shutdown mysqld before you upgrade/install). :-D